'---------------------------------------------------------------
' FORMULE de WISSER
' Permettant le Calcul de l'age gestationnel d'aprs la LCC
' VisualBasic Script Pour WINDOWS version 1.0 du 5 aout 2000
' Blue GYN d. 2000 - Pour GYNEWEB -
' Pour les connaisseurs http://msdn.microsoft.com/script
'---------------------------------------------------------------

Option Explicit

Dim LCC		'// Longueur Cranio Caudale en MM
Dim J 		'// Nombre de Jours d'amnorhe Calculs par la Formule
Dim SEMS, JOURS	'// Nombre Semaines et de Jours Restants d'amnorhe
Dim sJOURS	'// Chaine TAMPON pour l'critue de la rponse

'=================
' SAISIE DE LA LCC (55 par dfaut)
'=================

LCC = InputBOX ("Entrez la LCC en mm","SAISIE D'UNE VALEUR NUMERIQUE",55)

'=================
' CALCUL DU NOMBRE DE JOURS D'AMENORHEE
' Formule de WISSER rapporte par Laurent BIDAT
' RAPPELS : {sqr} donne la Racinne Carre et {^} la puissance
'=================
J = int(35.72 + (1.082 * sqr(LCC)) + (1.472 * LCC) - (0.09749 * LCC^2 / sqr(LCC)))

'=================
' TRANSFORMATION DES JOURS EN SA
' RAPPELS:	
'	-CSTR 	= (convert String, convertit un nombre en Chaine) 
'	-Int 	=(Integer, Arrondit un Nombre  son Entier)
'=================

SEMS = J \ 7				' \ = Division Entire
JOURS = int (J - (SEMS * 7))		' Entier des Jours restants

' Les Jours ne sont signifis que s'ils existent 
if JOURS = 0 then sJOURS = "" else  sJOURS = " et " & cstr(JOURS) & " J."

'=================
' AFFICHAGE DES RESULTATS
'=================

MsgBOX  "L'Age d'un Embryon de " & cstr(LCC) & " mm est de:"  	& _
	vbnewline & vbNewLine & string(60,"-") & vbNewLine 	& _
	cstr(J) & " jours soit," & vbnewline & vbnewline 	& _
	cstr(SEMS) & " S. " & sJOURS & " d'Amnorhe" 		& _
	vbnewline & string(60,"-") , 				_
   	vbinformation, "FORMULE DE WISSER"

'=================
' FIN NORMALE 
'	(Le programe retourne le Nombre de Jours  Windows)
'	Ce nombre peut tre rcupr en Programmant 'ERRORLEVEL'
'=================
Wscript.QUIT(J)